## libnexstar 0.15

=== examples/Makefile ===
all:
	gcc -I../src/ -o get_rade1 get_rade1.c ../src/nexstar.c ../src/deg2str.c ../src/nex_open.c -lm
	gcc -I../src/ -o get_rade2 get_rade2.c ../src/nexstar.c ../src/deg2str.c ../src/nex_open.c -lm
	gcc -I../src/ -o push_left push_left.c ../src/nexstar.c ../src/deg2str.c ../src/nex_open.c -lm
	gcc -I../src/ -o push_buttons push_buttons.c ../src/nexstar.c ../src/deg2str.c ../src/nex_open.c -lm

clean:
	rm get_rade1 get_rade2 push_left push_buttons

=== testcode/Makefile ===
all:
	gcc -I../src/ -o nexstarctl nexstarctl.c ../src/nexstar.c ../src/nex_open.c ../src/deg2str.c ../src/nexstar_pec.c -lm

=== debian/changelog ===
libnexstar (0.15-2) unstable; urgency=medium

  * Team Upload
  * Update VC Url to point to Salsa
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 11:55:45 +0100

libnexstar (0.15-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062482

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:21:58 +0000

libnexstar (0.15-1) unstable; urgency=medium

  * Initial release. (Closes: #819895)

 -- Ivan Aleksandrov <i.aleksandroff90@gmail.com>  Sun, 08 Jan 2017 16:58:14 +0200

=== debian/control ===
Source: libnexstar
Section: libs
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ivan Aleksandrov <i.aleksandroff90@gmail.com>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian-astro-team/libnexstar.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libnexstar
Homepage: https://sourceforge.net/projects/libnexstar

Package: libnexstar0t64
Provides: ${t64:Provides}
Replaces: libnexstar0
Breaks: libnexstar0 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Celestron/SkyWatcher telescope control shared library
 This library implements the serial commands supported by the Celestron
 NexStar hand control (HC) and SkyWatcher/Orion SynScan HC. This applies
 to the Celestron: NexStar GPS, NexStar GPS-SA, NexStar iSeries, NexStar
 SE Series, NexStar GT, CPC, SLT, Advanced-VX, Advanced-GT, CGE, CGEM etc.
 SkyWatcher: EQ5, HEQ5, EQ6 (Pro), AZ-EQ5 GT, AZ-EQ6 GT, EQ8 etc. and the
 corresponding Orion mounts.
 This package contains the shared library

Package: libnexstar-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnexstar0t64 (= ${binary:Version})
Multi-Arch: same
Description: Celestron/SkyWatcher telescope control library development files
 This library implements the serial commands supported by the Celestron
 NexStar hand control (HC) and SkyWatcher/Orion SynScan HC. This applies
 to the Celestron: NexStar GPS, NexStar GPS-SA, NexStar iSeries, NexStar
 SE Series, NexStar GT, CPC, SLT, Advanced-VX, Advanced-GT, CGE, CGEM etc.
 SkyWatcher: EQ5, HEQ5, EQ6 (Pro), AZ-EQ5 GT, AZ-EQ6 GT, EQ8 etc. and the
 corresponding Orion mounts.
 This package contains the development files of the library

=== debian/watch ===
version=3
opts=uversionmangle=s/(?:-)(rc|a|b|c)/~$1/ \
http://sf.net/libnexstar/libnexstar-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
